<!DOCTYPE html>
<html lang="en">
<head>
    <script src="{{ csset('/js/plugins/vue/vue@2.6.11.js') }}"></script>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    @stack('meta')

    <title>@yield('title', env('APP_NAME'))</title>

    <!-- Fav Icon -->
    <link rel="icon" href="{{ msset(env('FAVICON_PATH')) }}" type="image/x-icon">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Ubuntu:300,300i,400,400i,500,500i,700,700i&display=swap" rel="stylesheet">

    @php $basePath = '/themes/pro/syncblock/resources'; @endphp

    @include('views.partial.site.meta', [ 'basePath' => $basePath ])
    @include('views.partial.site.scripts', [ 'basePath' => $basePath ])

    @stack('css')
</head>


<!-- page wrapper -->
<body class="boxed_wrapper">
    @inject('callApiService', 'App\Services\CallApiService')

    @php
        $mainMenuPerm = App\Helpers\Utils::getProMainMenu();
        $mainMenuPermPage = collect($mainMenuPerm['Page'])->filter(function ($menu) {
            return $menu['Sort'] === 'syncblock-primary';
        })->toArray();
         $topMenuPermPage = collect($mainMenuPerm['Page'])->filter(function ($menu) {
            return $menu['Sort'] === 'syncblock-top';
        })->toArray();
        $mainMenuList = App\Helpers\Utils::formatMenuList($mainMenuPermPage, 'MenuCode');
        $topMenuList = App\Helpers\Utils::formatMenuList($topMenuPermPage, 'MenuCode');
    @endphp

    @include('layouts.js-lang')
    @include('vendor.lara-izitoast.toast')
    <div id="quick-launcher"></div>

    <!-- main header -->
    @include('views.layouts.main-header')
    <!-- main-header end -->

    <!-- Mobile Menu  -->
    @include('views.layouts.mobile-menu')
    <!-- End Mobile Menu -->

    <div id="app">
        @yield('content')
    </div>

    <!-- main-footer -->
    @include('views.layouts.footer')
    <!-- main-footer end -->


    <!-- sidebar cart item -->
    @include('views.layouts.sidebar')
    <!-- END sidebar widget item -->

    <!--Scroll to top-->
    <button class="scroll-top scroll-to-target" data-target="html">
        <span class="fa fa-arrow-up"></span>
    </button>

    <div id="element_in_which_to_insert">
        @yield('modal')
        @stack('modal')
    </div>

    @yield('js')
    @stack('js')

    <script src="{{ csset($basePath . '/js/script.js') }}"></script>

</body><!-- End of .page_wrapper -->

<script>
    window.env = (@json($_ENV));
    window.Member = @json(session('member'));
    window.CodeTitle = @json($codeTitle ?? '');
</script>

<script src="{{ asset('/dabory/js/widget.js?serverUrl=https://safebanner.daboryhost.com&api23Key=XJAL+1IF4/EgIVcuTvcAOoH9ASKjnQje71boZaGpzwVyVcCoVRsxzyMee5goucaC6cWxzLdEcYfIkfj6bLukvs9+lOeUa3CLqpCbhd7v99Bxm011kxUllDLY8/NrXFVn8aa1e57jygREHo7xF2LWOJ9LHc2idRmQ9rXbI46sgiZBwPmi6E/mACBIjUcKq+uviA==') }}"></script>
<script>
    $(document).ready(function () {
        $.fn.widget.loadModule(function () {
            $('#quick-launcher').quick()
        })
    });
</script>

</html>
